Bug 1590975 - [RFE][L-8] Integration with external Ansible Tower Workflows - Automate
Summary: [RFE][L-8] Integration with external Ansible Tower Workflows - Automate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: MVP
: 5.10.0
Assignee: Lucy Fu
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On: 1590440
Blocks: 1468339
TreeView+ depends on / blocked
 
Reported: 2018-06-13 20:15 UTC by James Wong
Modified: 2019-02-07 23:03 UTC (History)
14 users (show)

Fixed In Version: 5.10.0.11
Doc Type: Enhancement
Doc Text:
Clone Of: 1590441
Environment:
Last Closed: 2019-02-07 23:03:07 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:23 UTC

Description James Wong 2018-06-13 20:15:25 UTC
This is to track the Automate work for the RFE: Integration with external Ansible Tower Workflows

Comment 2 James Wong 2018-06-13 20:27:25 UTC
UI work is being tracked at https://bugzilla.redhat.com/show_bug.cgi?id=1590441

Comment 6 CFME Bot 2018-06-28 21:56:34 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/4d91b4b28dd86966009ba89404dcd5444e396402
commit 4d91b4b28dd86966009ba89404dcd5444e396402
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Thu Jun 28 11:35:13 2018 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Thu Jun 28 11:35:13 2018 -0400

    Add factory :ansible_tower_workflow_job.

    https://bugzilla.redhat.com/show_bug.cgi?id=1590975

 spec/factories/orchestration_stack.rb | 2 +
 1 file changed, 2 insertions(+)

Comment 9 CFME Bot 2018-07-06 16:07:48 UTC
New commit detected on ansible/ansible_tower_client_ruby/master:

https://github.com/ManageIQ/ansible_tower_client/commit/a985677bb9cd5b951f249e71c1ab1d78e396330d
commit a985677bb9cd5b951f249e71c1ab1d78e396330d
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Fri Jul  6 10:46:07 2018 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Fri Jul  6 10:46:07 2018 -0400

    Add extra_vars_hash to workflow job.

    https://bugzilla.redhat.com/show_bug.cgi?id=1590975

 lib/ansible_tower_client/base_models/workflow_job.rb | 4 +
 spec/workflow_job_spec.rb | 18 +
 2 files changed, 22 insertions(+)

Comment 11 CFME Bot 2018-08-13 11:52:58 UTC
New commits detected on ManageIQ/manageiq-providers-ansible_tower/master:

https://github.com/ManageIQ/manageiq-providers-ansible_tower/commit/acb8f1b5002c4cd6bffa5d11b65c0049ac310d57
commit acb8f1b5002c4cd6bffa5d11b65c0049ac310d57
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Thu Jun 28 16:53:02 2018 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Thu Jun 28 16:53:02 2018 -0400

    Support for Tower Workflow Job.

    https://bugzilla.redhat.com/show_bug.cgi?id=1590975

 app/models/manageiq/providers/ansible_tower/automation_manager.rb | 1 +
 app/models/manageiq/providers/ansible_tower/automation_manager/workflow_job.rb | 107 +
 spec/models/manageiq/providers/ansible_tower/automation_manager/workflow_job_spec.rb | 102 +
 3 files changed, 210 insertions(+)


https://github.com/ManageIQ/manageiq-providers-ansible_tower/commit/15f5ecdd982c5c4fbf4b792bb34b46c63284df5d
commit 15f5ecdd982c5c4fbf4b792bb34b46c63284df5d
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Fri Jun 29 12:16:17 2018 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Fri Jun 29 12:16:17 2018 -0400

    Add supports_limit? for Ansible job/workflow templates.

    https://bugzilla.redhat.com/show_bug.cgi?id=1590975

 app/models/manageiq/providers/ansible_tower/automation_manager/configuration_script.rb | 4 +
 app/models/manageiq/providers/ansible_tower/automation_manager/configuration_workflow.rb | 4 +
 2 files changed, 8 insertions(+)


https://github.com/ManageIQ/manageiq-providers-ansible_tower/commit/0871ce83ff00f6b4de48e4d1d4f9d21c9e4aca3e
commit 0871ce83ff00f6b4de48e4d1d4f9d21c9e4aca3e
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Wed Aug  8 13:11:03 2018 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Wed Aug  8 13:11:03 2018 -0400

    Add test case for child job.

    https://bugzilla.redhat.com/show_bug.cgi?id=1590975

 spec/models/manageiq/providers/ansible_tower/automation_manager/workflow_job_spec.rb | 67 +-
 1 file changed, 54 insertions(+), 13 deletions(-)


https://github.com/ManageIQ/manageiq-providers-ansible_tower/commit/ba1f45e55729c2c00fb349e2d12cd7e201a11a87
commit ba1f45e55729c2c00fb349e2d12cd7e201a11a87
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Thu Aug  9 17:45:48 2018 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Thu Aug  9 17:45:48 2018 -0400

    Address rubocop warnings.

    https://bugzilla.redhat.com/show_bug.cgi?id=1590975

 app/models/manageiq/providers/ansible_tower/automation_manager/workflow_job.rb | 6 +-
 1 file changed, 3 insertions(+), 3 deletions(-)

Comment 12 CFME Bot 2018-08-14 21:02:59 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/c40c18c38dfb382e7456a29b342fd38b8dba981e
commit c40c18c38dfb382e7456a29b342fd38b8dba981e
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Fri Jun 29 11:17:14 2018 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Fri Jun 29 11:17:14 2018 -0400

    Add service_name field to Ansible template dialog.

    Add service_name field so the dialog would have at least one tab.

    https://bugzilla.redhat.com/show_bug.cgi?id=1590975

 app/services/ansible_tower_job_template_dialog_service.rb | 33 +-
 spec/services/ansible_tower_job_template_dialog_service_spec.rb | 7 +-
 2 files changed, 30 insertions(+), 10 deletions(-)

Comment 14 Nandini Chandra 2018-09-25 19:43:30 UTC
Verified in 5.10.0.16

Comment 15 errata-xmlrpc 2019-02-07 23:03:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.